SortDialog Class Reference

Sorting options dialog. More...

`#include <SortDialog.h>`

Inheritance diagram for SortDialog:

## Signals

void | sort (int, int, const QString &)

## Public Member Functions

void | insertColumnsList (const QStringList &cols)
| SortDialog (QWidget *parent=0, Qt::WFlags fl=0)

## Private Slots

void | accept ()
void | changeType (int index)

## Private Attributes

QComboBox * | boxOrder
QComboBox * | boxType
QPushButton * | buttonCancel
QPushButton * | buttonHelp
QPushButton * | buttonOk
QComboBox * | columnsList

## Detailed Description

Sorting options dialog.

## Constructor & Destructor Documentation

SortDialog::SortDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), boxOrder, boxType, buttonCancel, buttonOk, changeType(), and columnsList.

## Member Function Documentation

void SortDialog::accept | ( |  | ) |

private slot

References boxOrder, boxType, columnsList, and sort().

Referenced by SortDialog().

void SortDialog::changeType | ( | int | index | ) |

private slot

References boxType, and columnsList.

Referenced by SortDialog().

void SortDialog::insertColumnsList | ( | const QStringList & | cols | ) |

References boxType, and columnsList.

Referenced by Table::sortColumnsDialog(), and Table::sortTableDialog().

void SortDialog::sort | ( | int | ,
|  | int | ,
|  | const QString & |
| ) |  |

signal

Referenced by accept().

## Member Data Documentation

QComboBox* SortDialog::boxOrder

private

Referenced by accept(), and SortDialog().

QComboBox* SortDialog::boxType

private

Referenced by accept(), changeType(), insertColumnsList(), and SortDialog().

QPushButton* SortDialog::buttonCancel

private

Referenced by SortDialog().

QPushButton* SortDialog::buttonHelp

private

QPushButton* SortDialog::buttonOk

private

Referenced by SortDialog().

QComboBox* SortDialog::columnsList

private

Referenced by accept(), changeType(), insertColumnsList(), and SortDialog().

The documentation for this class was generated from the following files:

- qtiplot/src/table/SortDialog.h
- qtiplot/src/table/SortDialog.cpp